Skip to main content
POST
/
api
/
v1
/
shopping
/
sessions
/
{session_id}
/
cart
Add To Cart
curl --request POST \
  --url https://api.example.com/api/v1/shopping/sessions/{session_id}/cart \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "product_url": "<string>",
  "title": "<string>",
  "price_cents": 1,
  "quantity": 1,
  "merchant_type": "affiliate",
  "image_url": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "merchant_type": "<string>",
  "merchant_domain": "<string>",
  "cart_items": [],
  "budget_limit_cents": 123,
  "total_cents": 123,
  "currency": "USD",
  "affiliate_links": [],
  "completed_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string<uuid>
required

Body

application/json
product_url
string
required
title
string
required
price_cents
integer
required
Required range: x >= 0
quantity
integer
default:1
Required range: 1 <= x <= 99
merchant_type
string
default:affiliate
image_url
string | null

Response

Successful Response

id
string<uuid>
required
user_id
string<uuid>
required
status
string
required
created_at
string<date-time>
required
merchant_type
string | null
merchant_domain
string | null
cart_items
Cart Items · object[]
budget_limit_cents
integer | null
total_cents
integer | null
currency
string
default:USD
completed_at
string<date-time> | null